package org.ow2.easybeans.deployment.annotations.analyzer.configurator.metadata;

import org.ow2.easybeans.deployment.metadata.CommonClassMetadata;
import org.ow2.easybeans.deployment.metadata.CommonFieldMetadata;
import org.ow2.easybeans.deployment.metadata.CommonMethodMetadata;
import org.ow2.util.scan.api.configurator.metadata.FieldMetadataConfigurator;

/**
 * CommonFieldMetadataConfigurator.
 * @author Gael Lalire
 * @param <C> class type
 * @param <M> method type
 * @param <F> field type
 */
public abstract class CommonFieldMetadataConfigurator<
    C extends CommonClassMetadata<C, M, F>,
    M extends CommonMethodMetadata<C, M, F>,
    F extends CommonFieldMetadata<C, M, F>>
        extends FieldMetadataConfigurator<C, M, F> {

    /**
     * Constructor.
     * @param fieldMetadata fieldMetadata
     */
    public CommonFieldMetadataConfigurator(final F fieldMetadata) {
        super(fieldMetadata);
    }

    /**
     * register annotation visitor.
     */
    protected void registerAnnotationVisitor() {

        F fieldMetadata = getFieldMetadata();

        // add visitor shared with class and field and method
        CommonMetadataConfigurator.initVisitor(getAnnotationVisitors(), fieldMetadata);

    }

}
