package org.ow2.easybeans.deployment.annotations.analyzer.configurator.metadata.ejbjar;

import org.ow2.easybeans.deployment.annotations.analyzer.configurator.metadata.CommonFieldMetadataConfigurator;
import org.ow2.easybeans.deployment.metadata.ejbjar.EjbJarClassMetadata;
import org.ow2.easybeans.deployment.metadata.ejbjar.EjbJarFieldMetadata;
import org.ow2.easybeans.deployment.metadata.ejbjar.EjbJarMethodMetadata;
import org.ow2.util.scan.api.metadata.structures.JField;

/**
 * EjbJarFieldMetadataConfigurator.
 * @author Gael Lalire
 */
public class EjbJarFieldMetadataConfigurator extends
        CommonFieldMetadataConfigurator<EjbJarClassMetadata, EjbJarMethodMetadata, EjbJarFieldMetadata> {

    /**
     * Constructor.
     * @param jField signature
     * @param classAnnotationMetadata parent
     * @param annotationParsingDesactived annotationParsingDesactived
     */
    public EjbJarFieldMetadataConfigurator(final JField jField, final EjbJarClassMetadata classAnnotationMetadata,
            final boolean annotationParsingDesactived) {
        super(new EjbJarFieldMetadata(jField, classAnnotationMetadata));

        if (!annotationParsingDesactived) {
            registerAnnotationVisitor();
        }
    }

}
