/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: WarClassMetadata.java 2833 2008-04-11 08:09:39Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.deployment.metadata.war;

import org.ow2.easybeans.deployment.metadata.CommonClassMetadata;
import org.ow2.util.scan.api.metadata.structures.JClass;


/**
 * This class represents the annotation metadata of a Bean.<br>
 * From this class, we can access to all methods of a bean with its associated information.
 * @author Florent Benoit
 */
public class WarClassMetadata
extends CommonClassMetadata<WarClassMetadata, WarMethodMetadata, WarFieldMetadata> {
    /**
     * Logger.
     */
    // private static Log logger = LogFactory.getLog(EjbJarClassMetadata.class);

    /**
     * Parent meta data.
     */
    private WarArchiveMetadata warArchiveMetadata = null;



    /**
     * Constructor.
     * @param jClass jClass.
     * @param warArchiveMetadata parent metadata object.
     */
    public WarClassMetadata(final JClass jClass, final WarArchiveMetadata warArchiveMetadata) {
        super(jClass);
        this.warArchiveMetadata = warArchiveMetadata;
    }

    /**
     * @return the archive metadata
     */
    public WarArchiveMetadata getWarArchiveMetadata() {
        return this.warArchiveMetadata;
    }


}
