/**
 * EasyBeans
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IEntityResolver.java 2054 2007-11-20 14:43:55Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.deployment.xml.parsing;


/**
 * Defines some constants.
 * @author Florent BENOIT
 */
public interface IEntityResolver {

    /**
     * Schema prefix.
     */
    String PREFIX = "org/ow2/easybeans/deployment/xml/schemas/";

    /**
     * Client Schema.
     */
    String CLIENT_SCHEMA = "application-client_5.xsd";

    /**
     * EJB3 Schema.
     */
    String EJB3_SCHEMA = "ejb-jar_3_0.xsd";

    /**
     * EJB 2.1 Schema.
     */
    String EJB2_SCHEMA = "ejb-jar_2_1.xsd";

    /**
     * JSP 2.0 Schema.
     */
    String JSP20_SCHEMA = "jsp_2_0.xsd";

    /**
     * JSP 2.0 Schema.
     */
    String JSP21_SCHEMA = "jsp_2_1.xsd";

    /**
     * WebApp 2.4 Schema.
     */
    String WEBAPP24_SCHEMA = "web-app_2_4.xsd";

    /**
     * WebApp 2.5 Schema.
     */
    String WEBAPP25_SCHEMA = "web-app_2_5.xsd";

    /**
     * JAVA EE 5 Schema.
     */
    String JAVAEE5_SCHEMA = "javaee_5.xsd";

    /**
     * J2EE 1.4 Schema.
     */
    String J2EE14_SCHEMA = "j2ee_1_4.xsd";

    /**
     * JAVA EE Web services client Schema.
     */
    String JAVAEE_WEBSERVICES_CLIENT_SCHEMA = "javaee_web_services_client_1_2.xsd";

    /**
     * J2EE Web services client Schema.
     */
    String J2EE_WEBSERVICES_CLIENT_SCHEMA = "j2ee_web_services_client_1_1.xsd";

    /**
     * XML schema.
     */
    String XML_SCHEMA = "xml.xsd";

}
